Skip to content

Searches for donors using predefined parameters

Request

Searches for donors using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The donor that you would like to be saved.

citystring(City)

City to search

contact_idArray of strings(Contact)
email_addressstring(Email Address)
first_namestring(First Name)
idsArray of strings(Ids)

IDs to search

job_titlestring(Job Title)
last_namestring(Last Name)
nicknamestring(Nickname)
organization_idArray of strings(Organization)
statestring(State)

The state

typestring(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/donors/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "city": "string",
    "contact_id": [
      "string"
    ],
    "email_address": "string",
    "first_name": "string",
    "ids": [
      "string"
    ],
    "job_title": "string",
    "last_name": "string",
    "nickname": "string",
    "organization_id": [
      "string"
    ],
    "state": "string",
    "type": "string"
  }'

Responses

The donor search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(DonorSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }